CNVKIT_DIAGRAM(1)

NAME
cnvkit_diagram - Draw copy number (log2 coverages, segments) on chromosomes as a diagram.

    If both the raw probes and segments are given, show them side-by-side on
    each chromosome (segments on the left side, probes on the right side).

DESCRIPTION
usage: cnvkit.py diagram [-h] [-s SEGMENT] [-c CHROMOSOME] [-t THRESHOLD]

[-m MIN_PROBES] [-y]
    [-x {m,y,male,Male,f,x,female,Female}] [--no-shift-xy] [-o FILENAME] [--title TITLE] [--no-gene-labels] [filename]

  positional arguments:

filename
    Processed coverage data file (*.cnr), the output of the 'fix' sub-command.

  options:

-h, --help
    show this help message and exit

-s SEGMENT, --segment SEGMENT
    Segmentation calls (.cns), the output of the 'segment' command.

-c CHROMOSOME, --chromosome CHROMOSOME
    Chromosome to display, e.g. 'chr1' (no chromosomal range allowed)

-t THRESHOLD, --threshold THRESHOLD
    Copy number change threshold to label genes. [Default: 0.5]

-m MIN_PROBES, --min-probes MIN_PROBES
    Minimum number of covered probes to label a gene. [Default: 3]

-y, --male-reference, --haploid-x-reference
    Assume inputs were normalized to a male reference (i.e. female samples will have +1 log-CNR of chrX; otherwise male samples would have -1 chrX).

-x {m,y,male,Male,f,x,female,Female}, --sample-sex {m,y,male,Male,f,x,female,Female}, -g {m,y,male,Male,f,x,female,Female}, --gender {m,y,male,Male,f,x,female,Female}
    Specify the sample's chromosomal sex as male or female. (Otherwise guessed from X and Y coverage).

--no-shift-xy
    Don't adjust the X and Y chromosomes according to sample sex.

-o FILENAME, --output FILENAME
    Output PDF file name.

  Plot aesthetics:

--title TITLE
    Plot title. [Default: sample ID, from filename or -i]

--no-gene-labels
    Disable gene_name labels on plot (useful when a lot of CNV were called).